CURLOPT_PROXY_SERVICE_NAME(3)

NAME
CURLOPT_PROXY_SERVICE_NAME - proxy service name

SYNOPSIS
#include <curl/curl.h> CURLcode curl_easy_setopt(CURL *handle, CURLOPT_PROXY_SERVICE_NAME, char *name);

DESCRIPTION
Pass a char * as parameter to a string holding the name of the service. The default service name is "HTTP". This option allows you to change it.

DEFAULT
See above

PROTOCOLS
Most

EXAMPLE
TODO

AVAILABILITY
Added in 7.43.0

RETURN VALUE
Returns CURLE_OK if the option is supported, CURLE_UNKNOWN_OPTION if not, or CURLE_OUT_OF_MEMORY if there was insufficient heap space.

SEE ALSO
CURLOPT_PROXY(3), CURLOPT_PROXYTYPE(3),